%global commit 1eaa3a45da61bb38fd5cc8dad59db2ea9a843b45
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240722
%global kmod_name cxadc3
%global git_name cxadc-linux3
%global url https://github.com/happycube/%{git_name}
#no debug package
%global debug_package %{nil}

Name: akmod-%{kmod_name}
Version: 3
Release: 1.git%{gitdate}%{?dist}
Summary: Alternative Linux driver for the Conexant CX2388x series
ExclusiveArch: x86_64
License: GPL-2.0-or-later
URL: %{url}
Source0:        %{url}/archive/%{commit}.tar.gz
#Source0:        %{git_name}-%{commit}.tar.gz

Group: System Environment/Kernel

Requires: kmod-%{kmod_name} >= %{version}
Requires: systemd-udev
Requires: systemd
Recommends: pv
Recommends: sox
Recommends: ffmpeg-free
Recommends: flac

Provides: %{kmod_name}-kmod-common = %{version}


%description
cxadc is an alternative Linux driver for the Conexant CX2388x series of video decoder/encoder chips used on many PCI TV tuner and capture cards.

The new driver configures the CX2388x to capture in its raw output mode in 8-bit or 16-bit unsigned samples from the video input ports, allowing these cards to be used as a low-cost 28-54mhz 10bit ADC for SDR and similar applications.


%prep
%autosetup -n %{git_name}-%{commit}

%install
export cpath=$(pwd)
export PROJECT_NAME=akmod-cxadc3

install -D -m 744 ${cpath}/utils/cx10fsc ${RPM_BUILD_ROOT}/usr/bin/cx10fsc
install -D -m 744 ${cpath}/utils/cx16bit ${RPM_BUILD_ROOT}/usr/bin/cx16bit
install -D -m 744 ${cpath}/utils/cx6off ${RPM_BUILD_ROOT}/usr/bin/cx6off
install -D -m 744 ${cpath}/utils/cx6on ${RPM_BUILD_ROOT}/usr/bin/cx6on
install -D -m 744 ${cpath}/utils/cx8bit ${RPM_BUILD_ROOT}/usr/bin/cx8bit
install -D -m 744 ${cpath}/utils/cx8fsc ${RPM_BUILD_ROOT}/usr/bin/cx8fsc
install -D -m 744 ${cpath}/utils/cxfreq ${RPM_BUILD_ROOT}/usr/bin/cxfreq
install -D -m 744 ${cpath}/utils/cxlevel ${RPM_BUILD_ROOT}/usr/bin/cxlevel
install -D -m 744 ${cpath}/utils/cxlvlcavdd ${RPM_BUILD_ROOT}/usr/bin/cxlvlcavdd
install -D -m 744 ${cpath}/utils/cxvalues ${RPM_BUILD_ROOT}/usr/bin/cxvalues
install -D -m 744 ${cpath}/utils/cxvx0 ${RPM_BUILD_ROOT}/usr/bin/cxvx0
install -D -m 744 ${cpath}/utils/cxvx1 ${RPM_BUILD_ROOT}/usr/bin/cxvx1
install -D -m 744 ${cpath}/utils/cxvx2 ${RPM_BUILD_ROOT}/usr/bin/cxvx2


install -D -m 644 ${cpath}/cxadcnc.service ${RPM_BUILD_ROOT}/etc/systemd/system/cxadcnc.sevice

install -D -m 644 ${cpath}/CXADC-Compression-Scripts/Windows/CXADC_14.3msps_to_FLAC.bat ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/CXADC_14.3msps_to_FLAC.bat
install -D -m 644 ${cpath}/CXADC-Compression-Scripts/Windows/CXADC_17.8msps_to_FLAC.bat ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/CXADC_17.8msps_to_FLAC.bat
install -D -m 644 ${cpath}/CXADC-Compression-Scripts/Windows/CXADC_20msps_to_FLAC.bat ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/CXADC_20msps_to_FLAC.bat
install -D -m 644 ${cpath}/CXADC-Compression-Scripts/Windows/CXADC_28.6msps_to_FLAC.bat ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/CXADC_28.6msps_to_FLAC.bat
install -D -m 644 ${cpath}/CXADC-Compression-Scripts/Windows/CXADC_40msps_to_FLAC.bat ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/CXADC_40msps_to_FLAC.bat

install -D -m 644 "${cpath}/CXADC-Compression-Scripts/Windows/Flac-Windows-Install.md" "${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/CXADC-Compression-Scripts/Windows/Flac-Windows-Install.md"
install -D -m 644 ${cpath}/README.md ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/README.md
install -D -m 644 "${cpath}/Tips-&-Notes.md" "${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/Tips-&-Notes.md"
install -D -m 644 ${cpath}/utils/README.md ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${PROJECT_NAME}/utils/README.md

%files
%doc %{name}/README.md
%doc %{name}/Tips-&-Notes.md
%attr(744,root,root) %{_docdir}/%{name}/utils/README.md
%attr(744,root,root) /usr/bin/cx10fsc
%attr(744,root,root) /usr/bin/cx16bit
%attr(744,root,root) /usr/bin/cx6off
%attr(744,root,root) /usr/bin/cx6on
%attr(744,root,root) /usr/bin/cx8bit
%attr(744,root,root) /usr/bin/cx8fsc
%attr(744,root,root) /usr/bin/cxfreq
%attr(744,root,root) /usr/bin/cxlevel
%attr(744,root,root) /usr/bin/cxlvlcavdd
%attr(744,root,root) /usr/bin/cxvalues
%attr(744,root,root) /usr/bin/cxvx0
%attr(744,root,root) /usr/bin/cxvx1
%attr(744,root,root) /usr/bin/cxvx2
%attr(644,root,root) /etc/systemd/system/cxadcnc.sevice
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/CXADC_14.3msps_to_FLAC.bat
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/CXADC_17.8msps_to_FLAC.bat
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/CXADC_20msps_to_FLAC.bat
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/CXADC_28.6msps_to_FLAC.bat
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/CXADC_40msps_to_FLAC.bat
%attr(644,root,root) %{_docdir}/%{name}/CXADC-Compression-Scripts/Windows/Flac-Windows-Install.md


%changelog
* Sun Aug 04 2024 thonkdifferent <41342923+thonkdifferent@users.noreply.github.com>
- First build

